Bug 108821 - crash when creating new data DVD project
Summary: crash when creating new data DVD project
Status: RESOLVED FIXED
Alias: None
Product: k3b
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-09 19:52 UTC by Gunter Ohrner
Modified: 2006-10-06 17:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gunter Ohrner 2005-07-09 19:52:24 UTC
Version:            (using KDE KDE 3.4.0)
Installed from:    Debian testing/unstable Packages
OS:                Linux

Hi!

Creating a new data DVD project reliably leads to crashes, but unfortunately at slightly different times.

System is Debian Sarge AMD64 Pure64 platform using the "official inofficial" KDE 3.4 packages from the Debian KDE team.

This one happened when I clicked the "new data DVD project" icon in K3B:

#3  0x0000003a5c994562 in QApplication::x11ProcessEvent ()
   from /usr/lib/libqt-mt.so.3
#4  0x0000003a5c9a89c5 in QEventLoop::processEvents ()
   from /usr/lib/libqt-mt.so.3
#5  0x0000003a5ca03024 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#6  0x0000003a5ca02ef2 in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#7  0x0000003a5c9f3a35 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#8  0x000000000046b9c1 in QPtrList<K3bPlugin>::deleteItem ()
#9  0x0000003a5981d441 in __libc_start_main () from /lib/libc.so.6


I also had crashes when adding files to the DnD area and when klicking the "burn" button in the burn DVD dialog box...

I was not able to actually burn anything.

K3B works fine with Debian Sarge i386.

Greetings,

  Gunter Ohrner
Comment 1 warcomp 2005-09-05 04:51:09 UTC
It seems I have the same problem on Slamd64 (Slackware for AMD64)

Using host libthread_db library "/lib64/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 46912577245376 (LWP 18423)]
[KCrash handler]
#3  0x00002aaaad0418de in QString::operator= ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#4  0x00002aaaac294f82 in KURL::operator= () from /opt/kde/lib/libkdecore.so.4
#5  0x00002aaaac295253 in KURL::KURL () from /opt/kde/lib/libkdecore.so.4
#6  0x00002aaaab863dcc in KFileTreeViewItem::url ()
   from /opt/kde/lib/libkio.so.4
#7  0x00002aaaab860ac8 in KFileTreeView::slotOnItem ()
   from /opt/kde/lib/libkio.so.4
#8  0x00002aaaab862f1f in KFileTreeView::qt_invoke ()
   from /opt/kde/lib/libkio.so.4
#9  0x000000000047aaf0 in K3bFileTreeView::qt_invoke (this=0x94da60, _id=117, 
    _o=0x7fffffe7a900) at k3bfiletreeview.moc:485
#10 0x00002aaaacdbc3f7 in QObject::activate_signal ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#11 0x00002aaaad094409 in QListView::onItem ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#12 0x00002aaaace9131e in QListView::contentsMouseMoveEvent ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#13 0x00002aaaabc1e5d2 in KListView::contentsMouseMoveEvent ()
   from /opt/kde/lib/libkdeui.so.4
#14 0x00002aaaaceb37db in QScrollView::viewportMouseMoveEvent ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#15 0x00002aaaaceb574a in QScrollView::eventFilter ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#16 0x00002aaaace8a40e in QListView::eventFilter ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#17 0x00002aaaacdb9b57 in QObject::activate_filters ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#18 0x00002aaaacdb9c3e in QObject::event ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#19 0x00002aaaacdedd93 in QWidget::event ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#20 0x00002aaaacd63afd in QApplication::internalNotify ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#21 0x00002aaaacd63e33 in QApplication::notify ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#22 0x00002aaaac209a71 in KApplication::notify ()
   from /opt/kde/lib/libkdecore.so.4
#23 0x00002aaaacd0a337 in QETWidget::translateMouseEvent ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#24 0x00002aaaacd08ac3 in QApplication::x11ProcessEvent ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#25 0x00002aaaacd1985b in QEventLoop::processEvents ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#26 0x00002aaaacd77a55 in QEventLoop::enterLoop ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#27 0x00002aaaacd779b2 in QEventLoop::exec ()
   from /usr/lib64/qt/lib/libqt-mt.so.3
#28 0x000000000048d61f in main (argc=7701600, argv=0x7fffffe7b610)
    at main.cpp:118
Comment 2 Francois Marier 2006-05-01 15:32:41 UTC
I don't have any problems with the latest version of K3b on my AMD 64 machine.  This bug seems to be fixed.
Comment 3 Christoph Burger-Scheidlin 2006-10-05 23:44:16 UTC
Could the reporter please state if this is fixed.

Francois, do you use a pure 64 bit OS ?
Comment 4 Francois Marier 2006-10-06 00:03:10 UTC
Yes, I use a pure 64-bit environment (Debian unstable).
Comment 5 Christoph Burger-Scheidlin 2006-10-06 17:04:52 UTC
Marking as fixed according to comment, if it persists, please reopen.